package batch_msg

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/batch_msg"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /batch_msg/getWhatcappBatchMsgList batch_msg GetWhatcappBatchMsgList
//
// 获取Whatsapp 批量任务列表
//
// 获取Whatsapp 批量任务列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WhatsappBatchMsgListReq
//
// Responses:
//  200: BatchMsgListResp

func GetWhatcappBatchMsgListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WhatsappBatchMsgListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := batch_msg.NewGetWhatcappBatchMsgListLogic(r.Context(), svcCtx)
		resp, err := l.GetWhatcappBatchMsgList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
